// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_parkorners/pk1_sky1
{
	qer_editorimage env/ut4_parkorners/pr_bk.tga
	
	skyparms env/ut4_parkorners/pr 128 -
	
	q3map_sunEXT 1 1 1 600 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 400 3
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Clouds ===---

// ---=== Holopanels ===---

textures/ut4_parkorners/pk1_hologo_b
{
	qer_editorimage textures/ut4_parkorners/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_parkorners/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_parkorners/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_parkorners/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_parkorners/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_parkorners/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_parkorners/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_parkorners/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_parkorners/pk1_hologo_r
{
	qer_editorimage textures/ut4_parkorners/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_parkorners/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_parkorners/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_parkorners/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_parkorners/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_parkorners/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_parkorners/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_parkorners/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== No Damage ===---

textures/ut4_parkorners/e8clangfloor05c:q3map
{
	surfaceparm nodamage
}

textures/ut4_parkorners/e8clangfloor04warn:q3map
{
	surfaceparm nodamage
}

textures/ut4_parkorners/e8clangfloor04warn2:q3map
{
	surfaceparm nodamage
}

textures/ut4_parkorners/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_parkorners/e8cretefloor01c:q3map
{
	surfaceparm nodamage
}

textures/ut4_parkorners/e8warning128:q3map
{
	surfaceparm nodamage
}

textures/ut4_parkorners/mrtx_steelrst:q3map
{
	surfaceparm nodamage
}

textures/ut4_parkorners/pr_veg048:q3map
{
	surfaceparm nodamage
}

textures/ut4_parkorners/pr_glassblock04b:q3map
{
	surfaceparm nodamage
	surfaceparm nonsolid
	q3map_surfacelight 100
}

textures/ut4_parkorners/pr_glassblock04r:q3map
{
	surfaceparm nodamage
	surfaceparm nonsolid
	q3map_surfacelight 100
}

// ---=== non-solids ===---

// ---=== Slick Textures ===--

// ---=== Glass ===---

textures/ut4_parkorners/pk1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_parkorners/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_parkorners/pk1_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_parkorners/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== shiny ===---

textures/ut4_parkorners/pk1_chrome1
{
	qer_editorimage textures/ut4_parkorners/chrome1.tga
	surfaceparm nodamage

	{
		map textures/ut4_parkorners/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_parkorners/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_parkorners/pk1_shn_e8base1c
{
	qer_editorimage textures/ut4_parkorners/e8_base1c.jpg

	{
		map textures/ut4_parkorners/e8_base1c.jpg
	}
	{
		map textures/ut4_parkorners/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Ladderclip ===---

textures/ut4_parkorners/pk1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---

textures/ut4_parkorners/e6basicstrip_blue
{
	qer_editorimage textures/ut4_parkorners/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_parkorners/e6basicstrip_blue.tga
	}
}

textures/ut4_parkorners/e6basicstrip_green
{
	qer_editorimage textures/ut4_parkorners/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_parkorners/e6basicstrip_green.tga
	}
}

textures/ut4_parkorners/e6basicstrip_orange
{
	qer_editorimage textures/ut4_parkorners/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_parkorners/e6basicstrip_orange.tga
	}
}

textures/ut4_parkorners/e6basicstrip_purple
{
	qer_editorimage textures/ut4_parkorners/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_parkorners/e6basicstrip_purple.tga
	}
}

textures/ut4_parkorners/e6basicstrip_red
{
	qer_editorimage textures/ut4_parkorners/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_parkorners/e6basicstrip_red.tga
	}
}

textures/ut4_parkorners/e6basicstrip_white
{
	qer_editorimage textures/ut4_parkorners/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_parkorners/e6basicstrip_white.tga
	}
}

textures/ut4_parkorners/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_parkorners/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_parkorners/e6basicstrip_yellow.tga
	}
}

textures/ut4_parkorners/pk1_teleorbg
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_parkorners/soc_telep_green.jpg
	qer_trans 0.4
	{
		map textures/ut4_parkorners/soc_telep_green.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_parkorners/pk1_teleorbo
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_parkorners/soc_telep_orange.jpg
	qer_trans 0.4
	{
		map textures/ut4_parkorners/soc_telep_orange.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_parkorners/pk1_teleorbp
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_parkorners/soc_telep_purpl.jpg
	qer_trans 0.4
	{
		map textures/ut4_parkorners/soc_telep_purpl.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_parkorners/pk1_arrow1
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_parkorners/arrow_grad2.jpg
	{
		animMap 7 textures/ut4_parkorners/arrow_grad1.jpg textures/ut4_parkorners/arrow_grad4.jpg textures/ut4_parkorners/arrow_grad3.jpg textures/ut4_parkorners/arrow_grad2.jpg textures/ut4_parkorners/arrow_grad3.jpg textures/ut4_parkorners/arrow_grad4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_parkorners/pk1_arrow2
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_parkorners/arrow_ggrad2.jpg
	{
		animMap 7 textures/ut4_parkorners/arrow_grad1.jpg textures/ut4_parkorners/arrow_ggrad4.jpg textures/ut4_parkorners/arrow_ggrad3.jpg textures/ut4_parkorners/arrow_ggrad2.jpg textures/ut4_parkorners/arrow_ggrad3.jpg textures/ut4_parkorners/arrow_ggrad4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_parkorners/pk1_arrow3
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_parkorners/arrow_ograd2.jpg
	{
		animMap 7 textures/ut4_parkorners/arrow_grad1.jpg textures/ut4_parkorners/arrow_ograd4.jpg textures/ut4_parkorners/arrow_ograd3.jpg textures/ut4_parkorners/arrow_ograd2.jpg textures/ut4_parkorners/arrow_ograd3.jpg textures/ut4_parkorners/arrow_ograd4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

// ---=== Evil Shaders ===---

textures/ut4_parkorners/e6v_light
{
	qer_editorimage textures/ut4_parkorners/e6v_light.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_parkorners/e6v_light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_parkorners/e6v_light_blend.tga
		blendfunc add
	}
}

textures/ut4_parkorners/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_parkorners/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_parkorners/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_parkorners/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// ---=== Decals ===---

textures/ut4_parkorners/pk1_roofid_1
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nodamage
	nomipmaps
	nopicmip
	qer_editorimage textures/ut4_parkorners/roof_id_1.tga

	{
		map textures/ut4_parkorners/roof_id_1.tga
		blendfunc filter
	}
}

// ---=== soc shaders ===---

// ======================================================================
// TREE - by Sock, mods by LadyWould*
// ======================================================================
textures/ut4_parkorners/soc_tree01_bark
{
	qer_editorimage textures/ut4_parkorners/soc_tree01_bark.tga

	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	q3map_clipmodel
	q3map_nonplanar
	q3map_shadeAngle 75

	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	{
		map textures/ut4_parkorners/soc_tree01_bark.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		//blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_parkorners/soc_tree01_stump
{
	qer_editorimage textures/ut4_parkorners/soc_tree01_stump.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_parkorners/soc_tree01_stump.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_parkorners/soc_tree01_leaves
{
	qer_editorimage textures/ut4_parkorners/soc_tree01_leaves.tga
	q3map_cloneShader textures/ut4_parkorners/soc_tree01_leavesback

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/ut4_parkorners/soc_tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/ut4_parkorners/soc_tree01_leavesback
{
	qer_editorimage textures/ut4_parkorners/soc_tree01_leaves.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/ut4_parkorners/soc_tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
